#!/bin/bash
if [ ! -e /etc/netext73/gcc-standard ]; then
	if [ ! -e /opt/NeteXt73-binutils/binutils-*.tar.xz ]; then
        	echo "binutils-*.tar.xz is missing, installation aborted."
	        exit 1
	fi
	export wersja_binutils=$(ls /opt/NeteXt73-binutils/ | grep binutils | sed 's/.tar.xz//g')
	sudo rm -rf /opt/$wersja_binutils
	sudo tar -Jxf /opt/NeteXt73-binutils/$wersja_binutils.tar.xz -C /opt/
	sudo ln -sf /opt/$wersja_binutils/bin/ld /usr/bin/ld
	sudo ln -sf /opt/$wersja_binutils/bin/ld /usr/bin/ld-plugin
	sudo ln -sf /opt/$wersja_binutils/bin/ld.bfd /usr/bin/ld.bfd
	sudo ln -sf /opt/$wersja_binutils/bin/ld.gold /usr/bin/ld.gold
	sudo ln -sf /opt/$wersja_binutils/bin/ld.gold /usr/bin/gold
	sudo ldconfig
	gold -v
	ld -v
fi
